Interface MongoDbEndpointBuilderFactory.MongoDbBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- MongoDbEndpointBuilderFactory
public static interface MongoDbEndpointBuilderFactory.MongoDbBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default MongoDbEndpointBuilderFactory.MongoDbEndpointBuildermongodb(String path)MongoDB (camel-mongodb) Perform operations on MongoDB documents and collections.default MongoDbEndpointBuilderFactory.MongoDbEndpointBuildermongodb(String componentName, String path)MongoDB (camel-mongodb) Perform operations on MongoDB documents and collections.
-
-
-
Method Detail
-
mongodb
default MongoDbEndpointBuilderFactory.MongoDbEndpointBuilder mongodb(String path)
MongoDB (camel-mongodb) Perform operations on MongoDB documents and collections. Category: database,nosql Since: 2.19 Maven coordinates: org.apache.camel:camel-mongodb Syntax:mongodb:connectionBeanPath parameter: connectionBean (required) Sets the connection bean reference used to lookup a client for connecting to a database.- Parameters:
path- connectionBean- Returns:
- the dsl builder
-
mongodb
default MongoDbEndpointBuilderFactory.MongoDbEndpointBuilder mongodb(String componentName, String path)
MongoDB (camel-mongodb) Perform operations on MongoDB documents and collections. Category: database,nosql Since: 2.19 Maven coordinates: org.apache.camel:camel-mongodb Syntax:mongodb:connectionBeanPath parameter: connectionBean (required) Sets the connection bean reference used to lookup a client for connecting to a database.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- connectionBean- Returns:
- the dsl builder
-
-